var scormInitialized = false;
var unloaded = false;

$(document).ready(function () {

    // Prepare SCORM session
    pipwerks.SCORM.version = '1.2';

    try {
        scormInitialized = pipwerks.SCORM.init();
    }
    catch (e) {
    }

    // If SCORM is located, mark completed
    if (scormInitialized) {
        finishCourse();
        window.onbeforeunload = unloadHandler;
        window.onunload = unloadHandler;
    }


    // Prepare accordion
    $('.navi-sub').find('a').attr('hidden', true);

   // $('.logo').click(function () {gotoIndex()})

    $('.menu-title').on('click', function () {
        /*$('.item-content').slideUp('fast');
        $(this).next('.item-content').slideDown('fast');*/

        if (!$(this).hasClass('active')) {
            var $this = $(this);

            if($('.menu-title.active').length > 0)
            {

                // Slide up current open
                $('.menu-title.active').next('.menu-item-pane').slideUp('fast', function () {
                    $('.menu-title').removeClass('active');
                    var newTop = $this.offset().top;
                    $this.next('.menu-item-pane').slideDown('fast', function () {
                        $('html, body').animate({ 'scrollTop': newTop });
                        $this.addClass('active');
                    });
                });
            }
            else
            {
                $('.menu-title').removeClass('active');
                //$('.menu-item-pane').hide();
                var newTop = $this.offset().top;
                $this.next('.menu-item-pane').slideDown('fast', function () {
                    $('html, body').animate({ 'scrollTop': newTop });
                });
                $('html, body').scrollTop($this.offset().top);
                //$("html, body").animate({ scrollTop: $(this).offset().top });
                $this.addClass('active');

            }
        }
        else {
            $('.menu-title').removeClass('active');
            $('.menu-item-pane').slideUp('fast');
        }

        //$(this).next('.item-content').slideDown('fast');
    });

    $('.close-btn').on('click', function () {
        $('.menu-title.active').next('.menu-item-pane').slideUp('fast')
        $('.menu-title').removeClass('active');
        openMenu = null;
    });

    $('.open-test-btn').on('click', function () {
        if ($(this).hasClass('opened')) {
            $(this).removeClass('opened')
            $(this).parent().next('.item-test').slideUp('fast');
        } else {
            $(this).addClass('opened')
            var newTop = $(this).offset().top;
            $(this).parent().next('.item-test').slideDown('fast', function () {
                $('html, body').animate({'scrollTop':newTop});
            });
        }
    });

    $('.close-test-btn').on('click', function () {
        var newTop = $(this).parent().prev().children('.open-test-btn').offset().top;
       // $('html, body').scrollTop();
        $(this).parent().slideUp('fast', function () {
            $('html, body').animate({ 'scrollTop': newTop });
        });
        $('.open-test-btn').removeClass('opened')
    });

    $('.test-item li').on('click', function () {
        $(this).addClass('selected');
        $(this).children('.alt-response').slideDown('fast');
        $(this).off();
    });

    $('.open-menu-btn').on('click', function () {

        if ($(this).hasClass('closed')) {
            $(this).removeClass('closed')
            $('.navi-sub').removeClass('closed').removeAttr('hidden');
            $('.navi-sub').find('a').removeAttr('hidden');
        }
        else {
            $('.navi-sub').addClass('closed').attr('hidden', true);
            $('.navi-sub').find('a').attr('hidden', true);
            $(this).addClass('closed');
        }
    });

    $('.menu-button').on('click', function () {
        //var nextItem = $(this).attr('href');
        //$('.page').fadeOut(200);

        //$('.page').promise().done(function () {
        //    window.scrollTo(0, 0);
        //    if (!$('#main-menu').hasClass('hidden'))
        //        $('#main-menu').addClass('hidden')
        //    if ($('#sub-menu').hasClass('hidden'))
        //        $('#sub-menu').removeClass('hidden').css('display','block')
        //    $(nextItem).fadeIn(200)
        //})
        $('.navi-sub').addClass('closed');
        $('.open-menu-btn').addClass('closed');
    });

    $('#mobile-menu').on('click', function (e) {
        $("html, body").animate({ scrollTop: $("#navi-main").offset().top }, 200);
        e.preventDefault();
        return false;
    });

    function gotoIndex() {
        //console.log('gotoindex')
        if (!$('#main-menu').hasClass('hidden'))
            return;

        $('.page').fadeOut(200);

        $('.page').promise().done(function () {
            $('#main-menu').removeClass('hidden').css('display', 'block');
            $('#sub-menu').addClass('hidden').css('display', 'none');
        });
    }

    function gotoPage(pageId) {
        //var nextItem = $(this).attr('href');
        $('.page').fadeOut(200);

        $('.page').promise().done(function () {
            window.scrollTo(0, 0);
            if (!$('#main-menu').hasClass('hidden'))
                $('#main-menu').addClass('hidden')
            if ($('#sub-menu').hasClass('hidden'))
                $('#sub-menu').removeClass('hidden').css('display', 'block')
            $(pageId).fadeIn(200)
        })
      
    }

    /**/


    var app = new Sammy(function () {
        this.before(/.*/, function () {
            $('.navi-sub').addClass('closed');
            $('.open-menu-btn').addClass('closed');

        });

        this.get('/', function () {
            gotoIndex();
        }); 
        this.get('#/', function () {
            gotoIndex();
        });
        this.get(':name', function () {
            var loc = this.params['name'];
            $('.navi-sub').addClass('closed');
            $('.open-menu-btn').addClass('closed');
            if (["#hva-er", "#hvordan-bruke", "#velge-avtale"].indexOf(loc) != -1) {
                gotoPage(this.params['name'])
            }
        }
        );

    });



    app.run('/')


    /**/

});

function finishCourse() {
    if (scormInitialized && !unloaded) {
        pipwerks.SCORM.set("cmi.core.lesson_status", "completed");

        pipwerks.SCORM.save();
    }
}

function unloadHandler() {
    //Ensure we handle window closing properly
    if (scormInitialized && !unloaded) {
        pipwerks.SCORM.save(); //save all data that has already been sent
        pipwerks.SCORM.quit(); //close the SCORM API connection properly
        unloaded = true;
    }
}